#include "pos_print.h"
#include <stdio.h>
#include <string.h>

int main()
{
   	setbuf(stdout, NULL);
   	int fd, i;
    	fd = open_port("/dev/ttyS1");
    	set_port(fd,9600);
   	//char str[] = "EPSON (CHINA)  CORP. \x0A\x0A\x0A\x0A\x0A\x0A\x1B\x69\x00";
   	//write(fd, &str, strlen(str)); 
    	print("\xC9\xCF\xB2\xCB\xB5\xA5 ",3);
    	print("       \xCC\xA8\xBA\xC5\xA3\xBA\x35\x30",5); 
    	print("\xC8\xCB\xCA\xFD\xA3\xBA\x33   \xB5\xA5\xBE\xDD\xA3\xBA 12345678",1); 
    	print("\xC8\xD5\xC6\xDA\xA3\xBA 20-10-20  \xCA\xB1\xBC\xE4\xA3\xBA 13:46",1);
   	print("--------------------------------------------",1); 
 	print("1 \xBC\xE2\xBD\xB7\xD1\xBC\xCF\xC2\xB0\xCD",3); 
    	print("2 \xB0\xD7\xD7\xC6\xBD\xE6\xC0\xBC",3);
	print("3 \xB8\xC9\xB3\xB4\xC5\xA3\xC8\xE2\xBA\xD3\xB7\xDB",3);
	cut_paper();     
     	close_port();
	return 0;

}
